Summary:	Download utility with resuming and segmented downloading
Name:		aria2
Version:	1.11.2
Release:	%mkrel 2
License:	GPLv2+
Group:		Networking/File transfer
URL:		http://aria2.sourceforge.net/
Source0:	http://downloads.sourceforge.net/aria2/%{name}-%{version}.tar.xz
BuildRequires:	bison
Buildrequires:	libxml2-devel
BuildRequires:	gnutls-devel
BuildRequires:	c-ares-devel
BuildRequires:	sqlite3-devel
BuildRequires:	cppunit-devel
Requires:	rootcerts
#we need 1.7.0 to have ares_library_init available
Requires:	c-ares >= 1.7.0
Provides:	webfetch
# aria2 uses functions not available in older zlib versions, so add a conflict
# to avoid any possible issues caused by this during upgrades
Conflicts:	zlib1 < 1.2.5
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
Aria2 has segmented downloading engine in its core. It can download one 
file from multiple URLs or multiple connections from one URL. This results
in very high speed downloading, very much faster than ordinary browsers.
This engine is implemented with a single-thread model.
It can also download BitTorrent files and supports Metalink version 3.0.

%prep
%setup -q

%build
export CFLAGS="%{optflags} -Os"
export CXXFLAGS="$CFLAGS"

%configure2_5x \
	--with-ca-bundle="%{_sysconfdir}/pki/tls/cert.pem" \
	--enable-bittorrent \
	--enable-metalink \
	--enable-epoll \
	--enable-threads=posix \
	--disable-rpath \
	--with-gnutls \
	--without-openssl \
	--with-sqlite3 \
	--with-libxml2 \
	--without-libexpat \
	--with-libcares \
	--with-libz

%make

# (tpg) disable checks on x86, on x86_64 all of them passes without any failures
%ifnarch %{ix86}
%check
make check
%endif

%install
rm -rf %{buildroot}
%makeinstall_std

%find_lang %{name}

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-, root, root)
%doc AUTHORS README NEWS
%doc %{_docdir}/%{name}/*
%{_bindir}/*
%{_mandir}/man1/*


%changelog
* Tue Jun 21 2011 Per Øyvind Karlsen <peroyvind@mandriva.org> 1.11.2-2mdv2011.0
+ Revision: 686519
- fix incompatible (too old) zlib version issue that's likely to be triggered
  when upgrading from <= 2010.0

* Sun May 22 2011 Funda Wang <fwang@mandriva.org> 1.11.2-1
+ Revision: 677271
- update to new version 1.11.2

* Thu Mar 31 2011 Funda Wang <fwang@mandriva.org> 1.11.1-1
+ Revision: 649352
- update to new version 1.11.1

* Sat Mar 19 2011 Funda Wang <fwang@mandriva.org> 1.11.0-1
+ Revision: 646505
- update to new version 1.11.0

* Sun Mar 13 2011 Funda Wang <fwang@mandriva.org> 1.10.9-1
+ Revision: 644125
- update to new version 1.10.9

* Sun Dec 19 2010 Funda Wang <fwang@mandriva.org> 1.10.8-1mdv2011.0
+ Revision: 622907
- update to new version 1.10.8

* Mon Dec 06 2010 Sandro Cazzaniga <kharec@mandriva.org> 1.10.7-1mdv2011.0
+ Revision: 612779
- update to 1.10.7

* Sat Nov 06 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 1.10.6-1mdv2011.0
+ Revision: 594171
- update to new version 1.10.6

* Mon Nov 01 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 1.10.5-1mdv2011.0
+ Revision: 591567
- update to new version 1.10.5

* Tue Oct 12 2010 Per Øyvind Karlsen <peroyvind@mandriva.org> 1.10.4-1mdv2011.0
+ Revision: 585218
- new release: 1.10.4

* Thu Sep 16 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 1.10.3-1mdv2011.0
+ Revision: 579044
- update to new version 1.10.3

* Tue Aug 31 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 1.10.2-1mdv2011.0
+ Revision: 574947
- temporary do not run tests on x86, all of them are fine on x86_64
- update to new version 1.10.2
- add buildrequires on bison
- set up some usefull options for configure script
- do not package big upstream changelog file, instead add AUTHORS NEWS AND README

  + Funda Wang <fwang@mandriva.org>
    - New version 1.10.1

  + Per Øyvind Karlsen <peroyvind@mandriva.org>
    - new release: 1.10.0
    - drop P0 & P1 (fixed upstream)
    - add 'webfetch' to provides

* Mon May 24 2010 Oden Eriksson <oeriksson@mandriva.com> 1.9.0-2mdv2010.1
+ Revision: 545751
- P1: security fix for CVE-2010-1512

  + Christophe Fergeau <cfergeau@mandriva.com>
    - add patch for CVE-2010-1512

* Sat Mar 13 2010 Funda Wang <fwang@mandriva.org> 1.9.0-1mdv2010.1
+ Revision: 518652
- rename patch
- New version 1.9.0

* Mon Mar 08 2010 Per Øyvind Karlsen <peroyvind@mandriva.org> 1.8.3-2mdv2010.1
+ Revision: 516801
- compile with -Os to chop 1/3 of binary size which seems reasonable for reducing
  size of basesystem
- ditch redundant -n%%{name}-%%{version} argument to %%setup
- install some additional documentation
- make decompression on the fly using Content-Encoding header optional and
  disabled by default (P0, fixes the most usual cause for #53571)

* Sun Feb 21 2010 Funda Wang <fwang@mandriva.org> 1.8.3-1mdv2010.1
+ Revision: 509283
- New version 1.8.3

* Fri Feb 12 2010 Christophe Fergeau <cfergeau@mandriva.com> 1.8.2-2mdv2010.1
+ Revision: 504793
- make sure aria2 depends on a new enough libcares

* Wed Feb 10 2010 Frederik Himpe <fhimpe@mandriva.org> 1.8.2-1mdv2010.1
+ Revision: 503980
- Update to new version 1.8.2
- Remove patch integrated upstream

* Fri Jan 29 2010 Frederik Himpe <fhimpe@mandriva.org> 1.8.1-2mdv2010.1
+ Revision: 498280
- Fix a crash on 404 errors

* Sat Jan 23 2010 Frederik Himpe <fhimpe@mandriva.org> 1.8.1-1mdv2010.1
+ Revision: 495286
- update to new version 1.8.1

* Sun Dec 27 2009 Frederik Himpe <fhimpe@mandriva.org> 1.8.0-1mdv2010.1
+ Revision: 482769
- update to new version 1.8.0

* Mon Dec 14 2009 Funda Wang <fwang@mandriva.org> 1.7.2-1mdv2010.1
+ Revision: 478579
- new version 1.7.2

* Thu Dec 10 2009 Funda Wang <fwang@mandriva.org> 1.7.1-1mdv2010.1
+ Revision: 476200
- new version 1.7.1

* Mon Nov 09 2009 Frederik Himpe <fhimpe@mandriva.org> 1.6.3-1mdv2010.1
+ Revision: 463777
- Update to new version 1.6.3

* Fri Oct 16 2009 Oden Eriksson <oeriksson@mandriva.com> 1.6.2-1mdv2010.0
+ Revision: 457872
- 1.6.2

* Fri Sep 25 2009 Christophe Fergeau <cfergeau@mandriva.com> 1.6.0-2mdv2010.0
+ Revision: 448602
- fix local certificates path

* Thu Sep 24 2009 Christophe Fergeau <cfergeau@mandriva.com> 1.6.0-1mdv2010.0
+ Revision: 448261
- use proper path for root certificates
- new upstream release
- Build using gnutls, I see no good reason for not using upstream default

* Mon Aug 31 2009 Frederik Himpe <fhimpe@mandriva.org> 1.5.2-1mdv2010.0
+ Revision: 423046
- update to new version 1.5.2

* Mon Jul 27 2009 Frederik Himpe <fhimpe@mandriva.org> 1.5.1-1mdv2010.0
+ Revision: 400828
- update to new version 1.5.1

  + Funda Wang <fwang@mandriva.org>
    - new version 1.5.0

* Sun Jun 07 2009 Funda Wang <fwang@mandriva.org> 1.4.1-1mdv2010.0
+ Revision: 383742
- New version 1.4.1

* Mon Jun 01 2009 Funda Wang <fwang@mandriva.org> 1.4.0-1mdv2010.0
+ Revision: 381878
- New version 1.4.0
- drop merged patches

* Tue Mar 24 2009 Aurélien Lefebvre <alefebvre@mandriva.com> 1.2.0-0.20090201.2mdv2009.1
+ Revision: 360847
- aria2 release number update
- Fix some "retrieve failed" error with the adaptive uri selector

* Sun Feb 01 2009 Funda Wang <fwang@mandriva.org> 1.2.0-0.20090201.1mdv2009.1
+ Revision: 336226
- BR back cppunit
- make check
- New version 1.2.0b

* Mon Oct 27 2008 Pixel <pixel@mandriva.com> 0.15.3-0.20080918.3mdv2009.1
+ Revision: 297710
- implement exit status
  (but note that it will return the status of the last error)
- uri-selector=adaptive will retry with increased timeout on timeout errors
  (instead of failing)

* Tue Oct 14 2008 Pixel <pixel@mandriva.com> 0.15.3-0.20080918.2mdv2009.1
+ Revision: 293718
- enhance uri-selector "adaptive" patch:
  o lower lowest-speed-limit when we don't know the wanted lowest-speed-limit
    is not too high
  o ignore download speed when it's not precise enough
    (ie when the download took less than 4ms)
  o correctly set MultiConnectionAvgSpeed for each downloads
    (instead of saving the overall download speed)
  o add some logging to allow debugging

* Thu Sep 18 2008 Aurélien Lefebvre <alefebvre@mandriva.com> 0.15.3-0.20080918.1mdv2009.0
+ Revision: 285649
- update to aria2 svn r729

* Tue Sep 02 2008 Pixel <pixel@mandriva.com> 0.15.3-0.20080902.2mdv2009.0
+ Revision: 279132
- fix build on x86_64
- svn snapshot
- add patch implementing --uri-selector=adaptive (Aurelien Lefebvre)

* Fri Aug 15 2008 Funda Wang <fwang@mandriva.org> 0.15.2-1mdv2009.0
+ Revision: 272445
- new version 0.15.2

* Fri Aug 01 2008 Funda Wang <fwang@mandriva.org> 0.15.1-1mdv2009.0
+ Revision: 259122
- update to new version 0.15.1

* Thu Jul 24 2008 Funda Wang <fwang@mandriva.org> 0.15.0-1mdv2009.0
+ Revision: 244946
- new version 0.15.0

* Sat Jun 21 2008 Funda Wang <fwang@mandriva.org> 0.14.0-1mdv2009.0
+ Revision: 227640
- update to new version 0.14.0

* Sun May 18 2008 Funda Wang <fwang@mandriva.org> 0.13.1+2-1mdv2009.0
+ Revision: 208656
- update to new version 0.13.1+2

* Sat Apr 12 2008 Funda Wang <fwang@mandriva.org> 0.13.1+1-1mdv2009.0
+ Revision: 192606
- New version 0.13.1
- Drop patch merged upstream

* Wed Feb 13 2008 Per Øyvind Karlsen <peroyvind@mandriva.org> 0.12.1-2mdv2008.1
+ Revision: 166894
- backport --metalink-enable-unique-protocol option from svn trunk (P0, prevents aria2
  from connecting to the same host multiple times for the same protocol)

* Tue Feb 12 2008 Antoine Ginies <aginies@mandriva.com> 0.12.1-1mdv2008.1
+ Revision: 165828
- new release 0.12.1
- new release

* Sun Dec 09 2007 Per Øyvind Karlsen <peroyvind@mandriva.org> 0.12.0-1mdv2008.1
+ Revision: 116765
- remove the locale.alias that showed up again for some reason..
- 0.12.0
- new release: 0.12.0

* Wed Nov 28 2007 Per Øyvind Karlsen <peroyvind@mandriva.org> 0.11.6-0.cvs20071125.1mdv2008.1
+ Revision: 113603
- hrm, add a couple of additional buildrequires to avoid aclocal errors
- update to new code from svn to get autodetection of metalinks and avoid saving them to disk
- fix buildrequires
- add source (d'oh!)
- update to new svn snapshot:
  	- fixes c-ares support so we can get async dns support
  	- fixed reported bugs
  	- adds some of requested features

* Sat Nov 24 2007 Per Øyvind Karlsen <peroyvind@mandriva.org> 0.11.6-0.cvs20071124.1mdv2008.1
+ Revision: 111778
- use cvs snapshot from today to fix some bugs
- drop 'INSTALL' as it's useless for users

* Sat Nov 17 2007 Funda Wang <fwang@mandriva.org> 0.11.5-1mdv2008.1
+ Revision: 109443
- update to new version 0.11.5

  + Thierry Vignaud <tv@mandriva.org>
    - improved description
    - fix summary

* Tue Nov 06 2007 Funda Wang <fwang@mandriva.org> 0.11.4-2mdv2008.1
+ Revision: 106445
- rebuild for new lzma

* Sun Oct 28 2007 Funda Wang <fwang@mandriva.org> 0.11.4-1mdv2008.1
+ Revision: 102810
- update to new version 0.11.4

* Mon Oct 15 2007 Funda Wang <fwang@mandriva.org> 0.11.3-1mdv2008.1
+ Revision: 98471
- New version 0.11.3

* Thu Aug 09 2007 Funda Wang <fwang@mandriva.org> 0.11.2-3mdv2008.0
+ Revision: 60945
- BR openssl because it is more generic
- more buildrequires on gnutls

* Thu Aug 09 2007 Funda Wang <fwang@mandriva.org> 0.11.2-1mdv2008.0
+ Revision: 60933
- fix file list
- New version 0.11.2

* Mon May 21 2007 Antoine Ginies <aginies@mandriva.com> 0.10.2+1-1mdv2008.0
+ Revision: 29384
- release 0.10.2+1


* Wed Feb 07 2007 Lenny Cartier <lenny@mandriva.com> 0.10.1-1mdv2007.0
+ Revision: 117236
- Update to 0.10.1

* Mon Jan 29 2007 Lenny Cartier <lenny@mandriva.com> 0.10.0-1mdv2007.1
+ Revision: 114831
- Update to 0.10.0

* Thu Nov 09 2006 Lenny Cartier <lenny@mandriva.com> 0.9.0-1mdv2007.1
+ Revision: 79245
- Update to 0.9.0
- Update to 0.9.0
- Import aria2

* Thu Aug 24 2006 Lenny Cartier <lenny@mandriva.com> 0.7.2-1mdv2007.0
- 0.7.2

* Thu Aug 10 2006 Antoine Ginies <aginies@mandriva.com> 0.7.0-1mdv2007.0
- first release

